    function scriptError(data, dictionary, msg, url, line, col, error) {
        
        this._data = data;
        this._dictionary = dictionary;
        this._msg = msg;
        this._url = url;
        this._line = line;
        this._col = col;
        this._error = error;
        
        this._i18n = new I18n(data.locale);
        this._i18n.setDictionary(dictionary);
        
    }
    
    scriptError.prototype.send = function(){
        
        var javascriptFileslist = this._data.javascriptFileslist;
        console.log("javascriptSyntaxErrorNotification = " + this._data.javascriptSyntaxErrorNotification);
        console.log(javascriptFileslist);
        var parser = new URL(this._url);
        var file = parser.pathname.split('/').pop();
        console.log(parser);
        var bool = false;
        for(var i = 0; i < javascriptFileslist.length; i++){
            
            if(javascriptFileslist[i] == file){
                
                bool = true;
                break;
                
            }
            
        }
        console.log(bool);
        if(bool == false){
            
            return {status: "error", message: "no file"};
            
        }
        
        if(parseInt(this._data.javascriptSyntaxErrorNotification) == 1){
            
            
            
            var post = {
                mode: 'scriptError', 
                file: file,
                nonce: this._data.nonce, 
                action: this._data.action, 
                msg: this._msg, 
                url: this._url, 
                line: this._line, 
                col: this._col, 
                error: this._error,
                version: window.navigator.appVersion,
                code: window.navigator.appCodeName,
                browser: window.navigator.userAgent
            };
            console.log(post);
            var xmlHttp = new Booking_App_XMLHttp(this._data.url, post, 0, function(response){
                
                console.log(response);
                
            });
            
        }else{
            
            if(window.confirm(this._i18n.get("An error was found in JavaScript syntax. Send javascript syntax error to the author?"))){
                
                this._data.javascriptSyntaxErrorNotification = 1;
                this.send();
                
            }
            
        }
        
        
    }
    
    
